// Copyright 2017 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

// This file has been automatically generated. Please do not edit it manually.
// To regenerate the file, use:
// dart dev/tools/gen_localizations.dart --overwrite

import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

import '../cupertino_localize.dart';

// The classes defined here encode all of the translations found in the
// `flutter_localizations/lib/src/l10n/*.arb` files.
//
// These classes are constructed by the [getTranslation] method at the bottom of
// this file, and used by the [_CupertinoLocalizationsDelegate.load] method defined
// in `flutter_localizations/lib/src/material_localizations.dart`.

/// The translations for Arabic (`ar`).
class CupertinoLocalizationAr extends GlobalCupertinoLocalizations {
  CupertinoLocalizationAr({@required Locale locale}) : super(locale: locale);
  // static const List<String> _weekDays = <String>[
  //   'الأحد',
  //   'الإثنين',
  //   'الثلاثاء',
  //   'الأربعاء',
  //   'الخميس',
  //   'الجمعة',
  //   'السبت',
  // ];
  static const Map<String,String> _symbolMap = <String,String>{
    '1': '١',
    '2': '٢',
    '3': '٣',
    '4': '٤',
    '5': '٥',
    '6': '٦',
    '7': '٧',
    '8': '٨',
    '9': '٩',
    '0': '٠'
  };
  static const List<String> _enDigits = <String>[
    '1',
    '2',
    '3',
    '4',
    '5',
    '6',
    '7',
    '8',
    '9',
    '0'
  ];
  static const List<String> _arDigits = <String>[
    '١',
    '٢',
    '٣',
    '٤',
    '٥',
    '٦',
    '٧',
    '٨',
    '٩',
    '٠'
  ];
  static const List<String> _shotWeekDays = <String>[
    'أحد',
    'إثنين',
    'ثلاثاء',
    'أربعاء',
    'خميس',
    'جمعة',
    'سبت',
  ];
  static const List<String> _months = <String>[
    'يناير',
    'فبراير',
    'مارس',
    'أبريل',
    'مايو',
    'يونيو',
    'يوليو',
    'أغسطس',
    'سبتمبر',
    'أكتوبر',
    'نوفمبر',
    'ديسمبر',
  ];

  @override
  String datePickerYear(int yearIndex) {
    String yearIndexAr = yearIndex.toString();
    for (int i = 0; i < _enDigits.length; i++) {
      yearIndexAr = yearIndexAr.replaceAll(_enDigits[i], _arDigits[i]);
    }
    return yearIndexAr;
  }

  @override
  String datePickerMonth(int monthIndex) => _months[monthIndex - 1];

  @override
  String datePickerDayOfMonth(int dayIndex) => _symbolMap[dayIndex.toString()];

  @override
  String datePickerHour(int hour) => _symbolMap[hour.toString()];

  @override
  String datePickerHourSemanticsLabel(int hour) => _symbolMap[hour.toString()] + " ساعة";

  @override
  String datePickerMinute(int minute) => _symbolMap[minute.toString()].padLeft(2, '٠');

  @override
  String datePickerMinuteSemanticsLabel(int minute) {
    if (minute == 1) return 'دقيقة واحدة';
    return minute.toString() + ' دقائق';
  }

  @override
  String datePickerMediumDate(DateTime date) {
    return '${_shotWeekDays[date.weekday - DateTime.monday]} '
        '${_months[date.month - DateTime.january]} '
        '${date.day.toString().padRight(2)}';
  }

  @override
  DatePickerDateOrder get datePickerDateOrder => DatePickerDateOrder.mdy;

  @override
  DatePickerDateTimeOrder get datePickerDateTimeOrder =>
      DatePickerDateTimeOrder.date_time_dayPeriod;

  @override
  String timerPickerHour(int hour) => _symbolMap[hour.toString()];

  @override
  String timerPickerMinute(int minute) => _symbolMap[minute.toString()];

  @override
  String timerPickerSecond(int second) => _symbolMap[second.toString()];

  @override
  String timerPickerHourLabel(int hour) => hour == 1 ? 'ساعة' : 'ساعات';

  @override
  String timerPickerMinuteLabel(int minute) => 'دقيقة';

  @override
  String timerPickerSecondLabel(int second) => 'دقائق';

  @override
  String get todayLabel => 'اليوم';
}

/// The translations for Bulgarian (`bg`).
class CupertinoLocalizationBg extends GlobalCupertinoLocalizations {
  CupertinoLocalizationBg({@required Locale locale}) : super(locale: locale);

  @override
  DatePickerDateOrder get datePickerDateOrder => DatePickerDateOrder.mdy;

  @override
  DatePickerDateTimeOrder get datePickerDateTimeOrder =>
      DatePickerDateTimeOrder.date_time_dayPeriod;

  @override
  String datePickerHourSemanticsLabel(int hour) {
    return null;
  }

  @override
  String datePickerMinute(int minute) {
    return null;
  }

  @override
  String datePickerMinuteSemanticsLabel(int minute) {
    return null;
  }

  @override
  String timerPickerHourLabel(int hour) {
    return null;
  }

  @override
  String timerPickerMinuteLabel(int minute) {
    return null;
  }

  @override
  String timerPickerSecondLabel(int second) {
    return null;
  }

  @override
  String get todayLabel => null;
}

/// The translations for Bosnian (`bs`).
class CupertinoLocalizationBs extends GlobalCupertinoLocalizations {
  CupertinoLocalizationBs({@required Locale locale}) : super(locale: locale);

  @override
  DatePickerDateOrder get datePickerDateOrder => DatePickerDateOrder.mdy;

  @override
  DatePickerDateTimeOrder get datePickerDateTimeOrder =>
      DatePickerDateTimeOrder.date_time_dayPeriod;

  @override
  String datePickerHourSemanticsLabel(int hour) {
    return null;
  }

  @override
  String datePickerMinute(int minute) {
    return null;
  }

  @override
  String datePickerMinuteSemanticsLabel(int minute) {
    return null;
  }

  @override
  String timerPickerHourLabel(int hour) {
    return null;
  }

  @override
  String timerPickerMinuteLabel(int minute) {
    return null;
  }

  @override
  String timerPickerSecondLabel(int second) {
    return null;
  }

  @override
  String get todayLabel => null;
}

/// The translations for Catalan Valencian (`ca`).
class CupertinoLocalizationCa extends GlobalCupertinoLocalizations {
  CupertinoLocalizationCa({@required Locale locale}) : super(locale: locale);

  @override
  DatePickerDateOrder get datePickerDateOrder => DatePickerDateOrder.mdy;

  @override
  DatePickerDateTimeOrder get datePickerDateTimeOrder =>
      DatePickerDateTimeOrder.date_time_dayPeriod;

  @override
  String datePickerHourSemanticsLabel(int hour) {
    return null;
  }

  @override
  String datePickerMinute(int minute) {
    return null;
  }

  @override
  String datePickerMinuteSemanticsLabel(int minute) {
    return null;
  }

  @override
  String timerPickerHourLabel(int hour) {
    return null;
  }

  @override
  String timerPickerMinuteLabel(int minute) {
    return null;
  }

  @override
  String timerPickerSecondLabel(int second) {
    return null;
  }

  @override
  String get todayLabel => null;
}

/// The translations for Czech (`cs`).
class CupertinoLocalizationCs extends GlobalCupertinoLocalizations {
  CupertinoLocalizationCs({@required Locale locale}) : super(locale: locale);

  @override
  DatePickerDateOrder get datePickerDateOrder => DatePickerDateOrder.mdy;

  @override
  DatePickerDateTimeOrder get datePickerDateTimeOrder =>
      DatePickerDateTimeOrder.date_time_dayPeriod;

  @override
  String datePickerHourSemanticsLabel(int hour) {
    return null;
  }

  @override
  String datePickerMinute(int minute) {
    return null;
  }

  @override
  String datePickerMinuteSemanticsLabel(int minute) {
    return null;
  }

  @override
  String timerPickerHourLabel(int hour) {
    return null;
  }

  @override
  String timerPickerMinuteLabel(int minute) {
    return null;
  }

  @override
  String timerPickerSecondLabel(int second) {
    return null;
  }

  @override
  String get todayLabel => null;
}

/// The translations for Danish (`da`).
class CupertinoLocalizationDa extends GlobalCupertinoLocalizations {
  CupertinoLocalizationDa({@required Locale locale}) : super(locale: locale);

  @override
  DatePickerDateOrder get datePickerDateOrder => DatePickerDateOrder.mdy;

  @override
  DatePickerDateTimeOrder get datePickerDateTimeOrder =>
      DatePickerDateTimeOrder.date_time_dayPeriod;

  @override
  String datePickerHourSemanticsLabel(int hour) {
    return null;
  }

  @override
  String datePickerMinute(int minute) {
    return null;
  }

  @override
  String datePickerMinuteSemanticsLabel(int minute) {
    return null;
  }

  @override
  String timerPickerHourLabel(int hour) {
    return null;
  }

  @override
  String timerPickerMinuteLabel(int minute) {
    return null;
  }

  @override
  String timerPickerSecondLabel(int second) {
    return null;
  }

  @override
  String get todayLabel => null;
}

/// The translations for German (`de`).
class CupertinoLocalizationDe extends GlobalCupertinoLocalizations {
  CupertinoLocalizationDe({@required Locale locale}) : super(locale: locale);

  @override
  DatePickerDateOrder get datePickerDateOrder => DatePickerDateOrder.mdy;

  @override
  DatePickerDateTimeOrder get datePickerDateTimeOrder =>
      DatePickerDateTimeOrder.date_time_dayPeriod;

  @override
  String datePickerHourSemanticsLabel(int hour) {
    return null;
  }

  @override
  String datePickerMinute(int minute) {
    return null;
  }

  @override
  String datePickerMinuteSemanticsLabel(int minute) {
    return null;
  }

  @override
  String timerPickerHourLabel(int hour) {
    return null;
  }

  @override
  String timerPickerMinuteLabel(int minute) {
    return null;
  }

  @override
  String timerPickerSecondLabel(int second) {
    return null;
  }

  @override
  String get todayLabel => null;
}

/// The translations for German, as used in Switzerland (`de_CH`).
class CupertinoLocalizationDeCh extends CupertinoLocalizationDe {
  CupertinoLocalizationDeCh({@required Locale locale}) : super(locale: locale);
}

/// The translations for Modern Greek (`el`).
class CupertinoLocalizationEl extends GlobalCupertinoLocalizations {
  CupertinoLocalizationEl({@required Locale locale}) : super(locale: locale);

  @override
  DatePickerDateOrder get datePickerDateOrder => DatePickerDateOrder.mdy;

  @override
  DatePickerDateTimeOrder get datePickerDateTimeOrder =>
      DatePickerDateTimeOrder.date_time_dayPeriod;

  @override
  String datePickerHourSemanticsLabel(int hour) {
    return null;
  }

  @override
  String datePickerMinute(int minute) {
    return null;
  }

  @override
  String datePickerMinuteSemanticsLabel(int minute) {
    return null;
  }

  @override
  String timerPickerHourLabel(int hour) {
    return null;
  }

  @override
  String timerPickerMinuteLabel(int minute) {
    return null;
  }

  @override
  String timerPickerSecondLabel(int second) {
    return null;
  }

  @override
  String get todayLabel => null;
}

/// The translations for English (`en`).
class CupertinoLocalizationEn extends GlobalCupertinoLocalizations {
  CupertinoLocalizationEn({@required Locale locale}) : super(locale: locale);

  static const List<String> _shortWeekdays = <String>[
    'Mon',
    'Tue',
    'Wed',
    'Thu',
    'Fri',
    'Sat',
    'Sun',
  ];

  static const List<String> _shortMonths = <String>[
    'Jan',
    'Feb',
    'Mar',
    'Apr',
    'May',
    'Jun',
    'Jul',
    'Aug',
    'Sep',
    'Oct',
    'Nov',
    'Dec',
  ];

  static const List<String> _months = <String>[
    'January',
    'February',
    'March',
    'April',
    'May',
    'June',
    'July',
    'August',
    'September',
    'October',
    'November',
    'December',
  ];

  @override
  String datePickerYear(int yearIndex) => yearIndex.toString();

  @override
  String datePickerMonth(int monthIndex) => _months[monthIndex - 1];

  @override
  String datePickerDayOfMonth(int dayIndex) => dayIndex.toString();

  @override
  String datePickerHour(int hour) => hour.toString();

  @override
  String datePickerHourSemanticsLabel(int hour) => hour.toString() + " o'clock";

  @override
  String datePickerMinute(int minute) => minute.toString().padLeft(2, '0');

  @override
  String datePickerMinuteSemanticsLabel(int minute) {
    if (minute == 1) return '1 minute';
    return minute.toString() + ' minutes';
  }

  @override
  String datePickerMediumDate(DateTime date) {
    return '${_shortWeekdays[date.weekday - DateTime.monday]} '
        '${_shortMonths[date.month - DateTime.january]} '
        '${date.day.toString().padRight(2)}';
  }

  @override
  DatePickerDateOrder get datePickerDateOrder => DatePickerDateOrder.mdy;

  @override
  DatePickerDateTimeOrder get datePickerDateTimeOrder =>
      DatePickerDateTimeOrder.date_time_dayPeriod;

  @override
  String timerPickerHour(int hour) => hour.toString();

  @override
  String timerPickerMinute(int minute) => minute.toString();

  @override
  String timerPickerSecond(int second) => second.toString();

  @override
  String timerPickerHourLabel(int hour) => hour == 1 ? 'hour' : 'hours';

  @override
  String timerPickerMinuteLabel(int minute) => 'min';

  @override
  String timerPickerSecondLabel(int second) => 'sec';

  @override
  String get todayLabel => 'Today';
}

/// The translations for English, as used in Australia (`en_AU`).
class CupertinoLocalizationEnAu extends CupertinoLocalizationEn {
  CupertinoLocalizationEnAu({@required Locale locale}) : super(locale: locale);
}

/// The translations for English, as used in Canada (`en_CA`).
class CupertinoLocalizationEnCa extends CupertinoLocalizationEn {
  CupertinoLocalizationEnCa({@required Locale locale}) : super(locale: locale);
}

/// The translations for English, as used in the United Kingdom (`en_GB`).
class CupertinoLocalizationEnGb extends CupertinoLocalizationEn {
  CupertinoLocalizationEnGb({@required Locale locale}) : super(locale: locale);
}

/// The translations for English, as used in Ireland (`en_IE`).
class CupertinoLocalizationEnIe extends CupertinoLocalizationEn {
  CupertinoLocalizationEnIe({@required Locale locale}) : super(locale: locale);
}

/// The translations for English, as used in India (`en_IN`).
class CupertinoLocalizationEnIn extends CupertinoLocalizationEn {
  CupertinoLocalizationEnIn({@required Locale locale}) : super(locale: locale);
}

/// The translations for English, as used in Singapore (`en_SG`).
class CupertinoLocalizationEnSg extends CupertinoLocalizationEn {
  CupertinoLocalizationEnSg({@required Locale locale}) : super(locale: locale);
}

/// The translations for English, as used in South Africa (`en_ZA`).
class CupertinoLocalizationEnZa extends CupertinoLocalizationEn {
  CupertinoLocalizationEnZa({@required Locale locale}) : super(locale: locale);
}

/// The translations for Spanish Castilian (`es`).
class CupertinoLocalizationEs extends GlobalCupertinoLocalizations {
  CupertinoLocalizationEs({@required Locale locale}) : super(locale: locale);

  @override
  DatePickerDateOrder get datePickerDateOrder => DatePickerDateOrder.mdy;

  @override
  DatePickerDateTimeOrder get datePickerDateTimeOrder =>
      DatePickerDateTimeOrder.date_time_dayPeriod;

  @override
  String datePickerHourSemanticsLabel(int hour) {
    return null;
  }

  @override
  String datePickerMinute(int minute) {
    return null;
  }

  @override
  String datePickerMinuteSemanticsLabel(int minute) {
    return null;
  }

  @override
  String timerPickerHourLabel(int hour) {
    return null;
  }

  @override
  String timerPickerMinuteLabel(int minute) {
    return null;
  }

  @override
  String timerPickerSecondLabel(int second) {
    return null;
  }

  @override
  String get todayLabel => null;
}

/// The translations for Spanish Castilian, as used in Latin America and the Caribbean (`es_419`).
class CupertinoLocalizationEs419 extends CupertinoLocalizationEs {
  CupertinoLocalizationEs419({@required Locale locale}) : super(locale: locale);
}

/// The translations for Spanish Castilian, as used in Argentina (`es_AR`).
class CupertinoLocalizationEsAr extends CupertinoLocalizationEs {
  CupertinoLocalizationEsAr({@required Locale locale}) : super(locale: locale);
}

/// The translations for Spanish Castilian, as used in Bolivia (`es_BO`).
class CupertinoLocalizationEsBo extends CupertinoLocalizationEs {
  CupertinoLocalizationEsBo({@required Locale locale}) : super(locale: locale);
}

/// The translations for Spanish Castilian, as used in Chile (`es_CL`).
class CupertinoLocalizationEsCl extends CupertinoLocalizationEs {
  CupertinoLocalizationEsCl({@required Locale locale}) : super(locale: locale);
}

/// The translations for Spanish Castilian, as used in Colombia (`es_CO`).
class CupertinoLocalizationEsCo extends CupertinoLocalizationEs {
  CupertinoLocalizationEsCo({@required Locale locale}) : super(locale: locale);
}

/// The translations for Spanish Castilian, as used in Costa Rica (`es_CR`).
class CupertinoLocalizationEsCr extends CupertinoLocalizationEs {
  CupertinoLocalizationEsCr({@required Locale locale}) : super(locale: locale);
}

/// The translations for Spanish Castilian, as used in the Dominican Republic (`es_DO`).
class CupertinoLocalizationEsDo extends CupertinoLocalizationEs {
  CupertinoLocalizationEsDo({@required Locale locale}) : super(locale: locale);
}

/// The translations for Spanish Castilian, as used in Ecuador (`es_EC`).
class CupertinoLocalizationEsEc extends CupertinoLocalizationEs {
  CupertinoLocalizationEsEc({@required Locale locale}) : super(locale: locale);
}

/// The translations for Spanish Castilian, as used in Guatemala (`es_GT`).
class CupertinoLocalizationEsGt extends CupertinoLocalizationEs {
  CupertinoLocalizationEsGt({@required Locale locale}) : super(locale: locale);
}

/// The translations for Spanish Castilian, as used in Honduras (`es_HN`).
class CupertinoLocalizationEsHn extends CupertinoLocalizationEs {
  CupertinoLocalizationEsHn({@required Locale locale}) : super(locale: locale);
}

/// The translations for Spanish Castilian, as used in Mexico (`es_MX`).
class CupertinoLocalizationEsMx extends CupertinoLocalizationEs {
  CupertinoLocalizationEsMx({@required Locale locale}) : super(locale: locale);
}

/// The translations for Spanish Castilian, as used in Nicaragua (`es_NI`).
class CupertinoLocalizationEsNi extends CupertinoLocalizationEs {
  CupertinoLocalizationEsNi({@required Locale locale}) : super(locale: locale);
}

/// The translations for Spanish Castilian, as used in Panama (`es_PA`).
class CupertinoLocalizationEsPa extends CupertinoLocalizationEs {
  CupertinoLocalizationEsPa({@required Locale locale}) : super(locale: locale);
}

/// The translations for Spanish Castilian, as used in Peru (`es_PE`).
class CupertinoLocalizationEsPe extends CupertinoLocalizationEs {
  CupertinoLocalizationEsPe({@required Locale locale}) : super(locale: locale);
}

/// The translations for Spanish Castilian, as used in Puerto Rico (`es_PR`).
class CupertinoLocalizationEsPr extends CupertinoLocalizationEs {
  CupertinoLocalizationEsPr({@required Locale locale}) : super(locale: locale);
}

/// The translations for Spanish Castilian, as used in Paraguay (`es_PY`).
class CupertinoLocalizationEsPy extends CupertinoLocalizationEs {
  CupertinoLocalizationEsPy({@required Locale locale}) : super(locale: locale);
}

/// The translations for Spanish Castilian, as used in El Salvador (`es_SV`).
class CupertinoLocalizationEsSv extends CupertinoLocalizationEs {
  CupertinoLocalizationEsSv({@required Locale locale}) : super(locale: locale);
}

/// The translations for Spanish Castilian, as used in the United States (`es_US`).
class CupertinoLocalizationEsUs extends CupertinoLocalizationEs {
  CupertinoLocalizationEsUs({@required Locale locale}) : super(locale: locale);
}

/// The translations for Spanish Castilian, as used in Uruguay (`es_UY`).
class CupertinoLocalizationEsUy extends CupertinoLocalizationEs {
  CupertinoLocalizationEsUy({@required Locale locale}) : super(locale: locale);
}

/// The translations for Spanish Castilian, as used in Venezuela (`es_VE`).
class CupertinoLocalizationEsVe extends CupertinoLocalizationEs {
  CupertinoLocalizationEsVe({@required Locale locale}) : super(locale: locale);
}

/// The translations for Estonian (`et`).
class CupertinoLocalizationEt extends GlobalCupertinoLocalizations {
  CupertinoLocalizationEt({@required Locale locale}) : super(locale: locale);

  @override
  DatePickerDateOrder get datePickerDateOrder => DatePickerDateOrder.mdy;

  @override
  DatePickerDateTimeOrder get datePickerDateTimeOrder =>
      DatePickerDateTimeOrder.date_time_dayPeriod;

  @override
  String datePickerHourSemanticsLabel(int hour) {
    return null;
  }

  @override
  String datePickerMinute(int minute) {
    return null;
  }

  @override
  String datePickerMinuteSemanticsLabel(int minute) {
    return null;
  }

  @override
  String timerPickerHourLabel(int hour) {
    return null;
  }

  @override
  String timerPickerMinuteLabel(int minute) {
    return null;
  }

  @override
  String timerPickerSecondLabel(int second) {
    return null;
  }

  @override
  String get todayLabel => null;
}

/// The translations for Persian (`fa`).
class CupertinoLocalizationFa extends GlobalCupertinoLocalizations {
  CupertinoLocalizationFa({@required Locale locale}) : super(locale: locale);

  @override
  DatePickerDateOrder get datePickerDateOrder => DatePickerDateOrder.mdy;

  @override
  DatePickerDateTimeOrder get datePickerDateTimeOrder =>
      DatePickerDateTimeOrder.date_time_dayPeriod;

  @override
  String datePickerHourSemanticsLabel(int hour) {
    return null;
  }

  @override
  String datePickerMinute(int minute) {
    return null;
  }

  @override
  String datePickerMinuteSemanticsLabel(int minute) {
    return null;
  }

  @override
  String timerPickerHourLabel(int hour) {
    return null;
  }

  @override
  String timerPickerMinuteLabel(int minute) {
    return null;
  }

  @override
  String timerPickerSecondLabel(int second) {
    return null;
  }

  @override
  String get todayLabel => null;
}

/// The translations for Finnish (`fi`).
class CupertinoLocalizationFi extends GlobalCupertinoLocalizations {
  CupertinoLocalizationFi({@required Locale locale}) : super(locale: locale);

  @override
  DatePickerDateOrder get datePickerDateOrder => DatePickerDateOrder.mdy;

  @override
  DatePickerDateTimeOrder get datePickerDateTimeOrder =>
      DatePickerDateTimeOrder.date_time_dayPeriod;

  @override
  String datePickerHourSemanticsLabel(int hour) {
    return null;
  }

  @override
  String datePickerMinute(int minute) {
    return null;
  }

  @override
  String datePickerMinuteSemanticsLabel(int minute) {
    return null;
  }

  @override
  String timerPickerHourLabel(int hour) {
    return null;
  }

  @override
  String timerPickerMinuteLabel(int minute) {
    return null;
  }

  @override
  String timerPickerSecondLabel(int second) {
    return null;
  }

  @override
  String get todayLabel => null;
}

/// The translations for Filipino Pilipino (`fil`).
class CupertinoLocalizationFil extends GlobalCupertinoLocalizations {
  CupertinoLocalizationFil({@required Locale locale}) : super(locale: locale);

  @override
  DatePickerDateOrder get datePickerDateOrder => DatePickerDateOrder.mdy;

  @override
  DatePickerDateTimeOrder get datePickerDateTimeOrder =>
      DatePickerDateTimeOrder.date_time_dayPeriod;

  @override
  String datePickerHourSemanticsLabel(int hour) {
    return null;
  }

  @override
  String datePickerMinute(int minute) {
    return null;
  }

  @override
  String datePickerMinuteSemanticsLabel(int minute) {
    return null;
  }

  @override
  String timerPickerHourLabel(int hour) {
    return null;
  }

  @override
  String timerPickerMinuteLabel(int minute) {
    return null;
  }

  @override
  String timerPickerSecondLabel(int second) {
    return null;
  }

  @override
  String get todayLabel => null;
}

/// The translations for French (`fr`).
class CupertinoLocalizationFr extends GlobalCupertinoLocalizations {
  CupertinoLocalizationFr({@required Locale locale}) : super(locale: locale);

  @override
  DatePickerDateOrder get datePickerDateOrder => DatePickerDateOrder.mdy;

  @override
  DatePickerDateTimeOrder get datePickerDateTimeOrder =>
      DatePickerDateTimeOrder.date_time_dayPeriod;

  @override
  String datePickerHourSemanticsLabel(int hour) {
    return null;
  }

  @override
  String datePickerMinute(int minute) {
    return null;
  }

  @override
  String datePickerMinuteSemanticsLabel(int minute) {
    return null;
  }

  @override
  String timerPickerHourLabel(int hour) {
    return null;
  }

  @override
  String timerPickerMinuteLabel(int minute) {
    return null;
  }

  @override
  String timerPickerSecondLabel(int second) {
    return null;
  }

  @override
  String get todayLabel => null;
}

/// The translations for French, as used in Canada (`fr_CA`).
class CupertinoLocalizationFrCa extends CupertinoLocalizationFr {
  CupertinoLocalizationFrCa({@required Locale locale}) : super(locale: locale);
}

/// The translations for Swiss German Alemannic Alsatian (`gsw`).
class CupertinoLocalizationGsw extends GlobalCupertinoLocalizations {
  CupertinoLocalizationGsw({@required Locale locale}) : super(locale: locale);

  @override
  DatePickerDateOrder get datePickerDateOrder => DatePickerDateOrder.mdy;

  @override
  DatePickerDateTimeOrder get datePickerDateTimeOrder =>
      DatePickerDateTimeOrder.date_time_dayPeriod;

  @override
  String datePickerHourSemanticsLabel(int hour) {
    return null;
  }

  @override
  String datePickerMinute(int minute) {
    return null;
  }

  @override
  String datePickerMinuteSemanticsLabel(int minute) {
    return null;
  }

  @override
  String timerPickerHourLabel(int hour) {
    return null;
  }

  @override
  String timerPickerMinuteLabel(int minute) {
    return null;
  }

  @override
  String timerPickerSecondLabel(int second) {
    return null;
  }

  @override
  String get todayLabel => null;
}

/// The translations for Hebrew (`he`).
class CupertinoLocalizationHe extends GlobalCupertinoLocalizations {
  CupertinoLocalizationHe({@required Locale locale}) : super(locale: locale);

  @override
  DatePickerDateOrder get datePickerDateOrder => DatePickerDateOrder.mdy;

  @override
  DatePickerDateTimeOrder get datePickerDateTimeOrder =>
      DatePickerDateTimeOrder.date_time_dayPeriod;

  @override
  String datePickerHourSemanticsLabel(int hour) {
    return null;
  }

  @override
  String datePickerMinute(int minute) {
    return null;
  }

  @override
  String datePickerMinuteSemanticsLabel(int minute) {
    return null;
  }

  @override
  String timerPickerHourLabel(int hour) {
    return null;
  }

  @override
  String timerPickerMinuteLabel(int minute) {
    return null;
  }

  @override
  String timerPickerSecondLabel(int second) {
    return null;
  }

  @override
  String get todayLabel => null;
}

/// The translations for Hindi (`hi`).
class CupertinoLocalizationHi extends GlobalCupertinoLocalizations {
  CupertinoLocalizationHi({@required Locale locale}) : super(locale: locale);

  @override
  DatePickerDateOrder get datePickerDateOrder => DatePickerDateOrder.mdy;

  @override
  DatePickerDateTimeOrder get datePickerDateTimeOrder =>
      DatePickerDateTimeOrder.date_time_dayPeriod;

  @override
  String datePickerHourSemanticsLabel(int hour) {
    return null;
  }

  @override
  String datePickerMinute(int minute) {
    return null;
  }

  @override
  String datePickerMinuteSemanticsLabel(int minute) {
    return null;
  }

  @override
  String timerPickerHourLabel(int hour) {
    return null;
  }

  @override
  String timerPickerMinuteLabel(int minute) {
    return null;
  }

  @override
  String timerPickerSecondLabel(int second) {
    return null;
  }

  @override
  String get todayLabel => null;
}

/// The translations for Croatian (`hr`).
class CupertinoLocalizationHr extends GlobalCupertinoLocalizations {
  CupertinoLocalizationHr({@required Locale locale}) : super(locale: locale);

  @override
  DatePickerDateOrder get datePickerDateOrder => DatePickerDateOrder.mdy;

  @override
  DatePickerDateTimeOrder get datePickerDateTimeOrder =>
      DatePickerDateTimeOrder.date_time_dayPeriod;

  @override
  String datePickerHourSemanticsLabel(int hour) {
    return null;
  }

  @override
  String datePickerMinute(int minute) {
    return null;
  }

  @override
  String datePickerMinuteSemanticsLabel(int minute) {
    return null;
  }

  @override
  String timerPickerHourLabel(int hour) {
    return null;
  }

  @override
  String timerPickerMinuteLabel(int minute) {
    return null;
  }

  @override
  String timerPickerSecondLabel(int second) {
    return null;
  }

  @override
  String get todayLabel => null;
}

/// The translations for Hungarian (`hu`).
class CupertinoLocalizationHu extends GlobalCupertinoLocalizations {
  CupertinoLocalizationHu({@required Locale locale}) : super(locale: locale);

  @override
  DatePickerDateOrder get datePickerDateOrder => DatePickerDateOrder.mdy;

  @override
  DatePickerDateTimeOrder get datePickerDateTimeOrder =>
      DatePickerDateTimeOrder.date_time_dayPeriod;

  @override
  String datePickerHourSemanticsLabel(int hour) {
    return null;
  }

  @override
  String datePickerMinute(int minute) {
    return null;
  }

  @override
  String datePickerMinuteSemanticsLabel(int minute) {
    return null;
  }

  @override
  String timerPickerHourLabel(int hour) {
    return null;
  }

  @override
  String timerPickerMinuteLabel(int minute) {
    return null;
  }

  @override
  String timerPickerSecondLabel(int second) {
    return null;
  }

  @override
  String get todayLabel => null;
}

/// The translations for Indonesian (`id`).
class CupertinoLocalizationId extends GlobalCupertinoLocalizations {
  CupertinoLocalizationId({@required Locale locale}) : super(locale: locale);

  @override
  DatePickerDateOrder get datePickerDateOrder => DatePickerDateOrder.mdy;

  @override
  DatePickerDateTimeOrder get datePickerDateTimeOrder =>
      DatePickerDateTimeOrder.date_time_dayPeriod;

  @override
  String datePickerHourSemanticsLabel(int hour) {
    return null;
  }

  @override
  String datePickerMinute(int minute) {
    return null;
  }

  @override
  String datePickerMinuteSemanticsLabel(int minute) {
    return null;
  }

  @override
  String timerPickerHourLabel(int hour) {
    return null;
  }

  @override
  String timerPickerMinuteLabel(int minute) {
    return null;
  }

  @override
  String timerPickerSecondLabel(int second) {
    return null;
  }

  @override
  String get todayLabel => null;
}

/// The translations for Italian (`it`).
class CupertinoLocalizationIt extends GlobalCupertinoLocalizations {
  CupertinoLocalizationIt({@required Locale locale}) : super(locale: locale);

  @override
  DatePickerDateOrder get datePickerDateOrder => DatePickerDateOrder.mdy;

  @override
  DatePickerDateTimeOrder get datePickerDateTimeOrder =>
      DatePickerDateTimeOrder.date_time_dayPeriod;

  @override
  String datePickerHourSemanticsLabel(int hour) {
    return null;
  }

  @override
  String datePickerMinute(int minute) {
    return null;
  }

  @override
  String datePickerMinuteSemanticsLabel(int minute) {
    return null;
  }

  @override
  String timerPickerHourLabel(int hour) {
    return null;
  }

  @override
  String timerPickerMinuteLabel(int minute) {
    return null;
  }

  @override
  String timerPickerSecondLabel(int second) {
    return null;
  }

  @override
  String get todayLabel => null;
}

/// The translations for Japanese (`ja`).
class CupertinoLocalizationJa extends GlobalCupertinoLocalizations {
  CupertinoLocalizationJa({@required Locale locale}) : super(locale: locale);

  @override
  DatePickerDateOrder get datePickerDateOrder => DatePickerDateOrder.mdy;

  @override
  DatePickerDateTimeOrder get datePickerDateTimeOrder =>
      DatePickerDateTimeOrder.date_time_dayPeriod;

  @override
  String datePickerHourSemanticsLabel(int hour) {
    return null;
  }

  @override
  String datePickerMinute(int minute) {
    return null;
  }

  @override
  String datePickerMinuteSemanticsLabel(int minute) {
    return null;
  }

  @override
  String timerPickerHourLabel(int hour) {
    return null;
  }

  @override
  String timerPickerMinuteLabel(int minute) {
    return null;
  }

  @override
  String timerPickerSecondLabel(int second) {
    return null;
  }

  @override
  String get todayLabel => null;
}

/// The translations for Khmer Central Khmer (`km`).
class CupertinoLocalizationKm extends GlobalCupertinoLocalizations {
  CupertinoLocalizationKm({@required Locale locale}) : super(locale: locale);

  @override
  DatePickerDateOrder get datePickerDateOrder => DatePickerDateOrder.mdy;

  @override
  DatePickerDateTimeOrder get datePickerDateTimeOrder =>
      DatePickerDateTimeOrder.date_time_dayPeriod;

  @override
  String datePickerHourSemanticsLabel(int hour) {
    return null;
  }

  @override
  String datePickerMinute(int minute) {
    return null;
  }

  @override
  String datePickerMinuteSemanticsLabel(int minute) {
    return null;
  }

  @override
  String timerPickerHourLabel(int hour) {
    return null;
  }

  @override
  String timerPickerMinuteLabel(int minute) {
    return null;
  }

  @override
  String timerPickerSecondLabel(int second) {
    return null;
  }

  noSuchMethod(Invocation invocation) => super.noSuchMethod(invocation);
}

/// The translations for Korean (`ko`).
class CupertinoLocalizationKo extends GlobalCupertinoLocalizations {
  CupertinoLocalizationKo({@required Locale locale}) : super(locale: locale);

  @override
  DatePickerDateOrder get datePickerDateOrder => DatePickerDateOrder.mdy;

  @override
  DatePickerDateTimeOrder get datePickerDateTimeOrder =>
      DatePickerDateTimeOrder.date_time_dayPeriod;

  @override
  String datePickerHourSemanticsLabel(int hour) {
    return null;
  }

  @override
  String datePickerMinute(int minute) {
    return null;
  }

  @override
  String datePickerMinuteSemanticsLabel(int minute) {
    return null;
  }

  @override
  String timerPickerHourLabel(int hour) {
    return null;
  }

  @override
  String timerPickerMinuteLabel(int minute) {
    return null;
  }

  @override
  String timerPickerSecondLabel(int second) {
    return null;
  }

  @override
  String get todayLabel => null;
}

/// The translations for Lithuanian (`lt`).
class CupertinoLocalizationLt extends GlobalCupertinoLocalizations {
  CupertinoLocalizationLt({@required Locale locale}) : super(locale: locale);

  @override
  DatePickerDateOrder get datePickerDateOrder => DatePickerDateOrder.mdy;

  @override
  DatePickerDateTimeOrder get datePickerDateTimeOrder =>
      DatePickerDateTimeOrder.date_time_dayPeriod;

  @override
  String datePickerHourSemanticsLabel(int hour) {
    return null;
  }

  @override
  String datePickerMinute(int minute) {
    return null;
  }

  @override
  String datePickerMinuteSemanticsLabel(int minute) {
    return null;
  }

  @override
  String timerPickerHourLabel(int hour) {
    return null;
  }

  @override
  String timerPickerMinuteLabel(int minute) {
    return null;
  }

  @override
  String timerPickerSecondLabel(int second) {
    return null;
  }

  @override
  String get todayLabel => null;
}

/// The translations for Latvian (`lv`).
class CupertinoLocalizationLv extends GlobalCupertinoLocalizations {
  CupertinoLocalizationLv({@required Locale locale}) : super(locale: locale);

  @override
  DatePickerDateOrder get datePickerDateOrder => DatePickerDateOrder.mdy;

  @override
  DatePickerDateTimeOrder get datePickerDateTimeOrder =>
      DatePickerDateTimeOrder.date_time_dayPeriod;

  @override
  String datePickerHourSemanticsLabel(int hour) {
    return null;
  }

  @override
  String datePickerMinute(int minute) {
    return null;
  }

  @override
  String datePickerMinuteSemanticsLabel(int minute) {
    return null;
  }

  @override
  String timerPickerHourLabel(int hour) {
    return null;
  }

  @override
  String timerPickerMinuteLabel(int minute) {
    return null;
  }

  @override
  String timerPickerSecondLabel(int second) {
    return null;
  }

  noSuchMethod(Invocation invocation) => super.noSuchMethod(invocation);
}

/// The translations for Mongolian (`mn`).
class CupertinoLocalizationMn extends GlobalCupertinoLocalizations {
  CupertinoLocalizationMn({@required Locale locale}) : super(locale: locale);

  @override
  DatePickerDateOrder get datePickerDateOrder => DatePickerDateOrder.mdy;

  @override
  DatePickerDateTimeOrder get datePickerDateTimeOrder =>
      DatePickerDateTimeOrder.date_time_dayPeriod;

  @override
  String datePickerHourSemanticsLabel(int hour) {
    return null;
  }

  @override
  String datePickerMinute(int minute) {
    return null;
  }

  @override
  String datePickerMinuteSemanticsLabel(int minute) {
    return null;
  }

  @override
  String timerPickerHourLabel(int hour) {
    return null;
  }

  @override
  String timerPickerMinuteLabel(int minute) {
    return null;
  }

  @override
  String timerPickerSecondLabel(int second) {
    return null;
  }

  @override
  String get todayLabel => null;
}

/// The translations for Marathi (`mr`).
class CupertinoLocalizationMr extends GlobalCupertinoLocalizations {
  CupertinoLocalizationMr({@required Locale locale}) : super(locale: locale);

  @override
  DatePickerDateOrder get datePickerDateOrder => DatePickerDateOrder.mdy;

  @override
  DatePickerDateTimeOrder get datePickerDateTimeOrder =>
      DatePickerDateTimeOrder.date_time_dayPeriod;

  @override
  String datePickerHourSemanticsLabel(int hour) {
    return null;
  }

  @override
  String datePickerMinute(int minute) {
    return null;
  }

  @override
  String datePickerMinuteSemanticsLabel(int minute) {
    return null;
  }

  @override
  String timerPickerHourLabel(int hour) {
    return null;
  }

  @override
  String timerPickerMinuteLabel(int minute) {
    return null;
  }

  @override
  String timerPickerSecondLabel(int second) {
    return null;
  }

  @override
  String get todayLabel => null;
}

/// The translations for Malay (`ms`).
class CupertinoLocalizationMs extends GlobalCupertinoLocalizations {
  CupertinoLocalizationMs({@required Locale locale}) : super(locale: locale);

  @override
  DatePickerDateOrder get datePickerDateOrder => DatePickerDateOrder.mdy;

  @override
  DatePickerDateTimeOrder get datePickerDateTimeOrder =>
      DatePickerDateTimeOrder.date_time_dayPeriod;

  @override
  String datePickerHourSemanticsLabel(int hour) {
    return null;
  }

  @override
  String datePickerMinute(int minute) {
    return null;
  }

  @override
  String datePickerMinuteSemanticsLabel(int minute) {
    return null;
  }

  @override
  String timerPickerHourLabel(int hour) {
    return null;
  }

  @override
  String timerPickerMinuteLabel(int minute) {
    return null;
  }

  @override
  String timerPickerSecondLabel(int second) {
    return null;
  }

  @override
  String get todayLabel => null;
}

/// The translations for Norwegian Bokmål (`nb`).
class CupertinoLocalizationNb extends GlobalCupertinoLocalizations {
  CupertinoLocalizationNb({@required Locale locale}) : super(locale: locale);

  @override
  DatePickerDateOrder get datePickerDateOrder => DatePickerDateOrder.mdy;

  @override
  DatePickerDateTimeOrder get datePickerDateTimeOrder =>
      DatePickerDateTimeOrder.date_time_dayPeriod;

  @override
  String datePickerHourSemanticsLabel(int hour) {
    return null;
  }

  @override
  String datePickerMinute(int minute) {
    return null;
  }

  @override
  String datePickerMinuteSemanticsLabel(int minute) {
    return null;
  }

  @override
  String timerPickerHourLabel(int hour) {
    return null;
  }

  @override
  String timerPickerMinuteLabel(int minute) {
    return null;
  }

  @override
  String timerPickerSecondLabel(int second) {
    return null;
  }

  @override
  String get todayLabel => null;
}

/// The translations for Dutch Flemish (`nl`).
class CupertinoLocalizationNl extends GlobalCupertinoLocalizations {
  CupertinoLocalizationNl({@required Locale locale}) : super(locale: locale);

  @override
  DatePickerDateOrder get datePickerDateOrder => DatePickerDateOrder.mdy;

  @override
  DatePickerDateTimeOrder get datePickerDateTimeOrder =>
      DatePickerDateTimeOrder.date_time_dayPeriod;

  @override
  String datePickerHourSemanticsLabel(int hour) {
    return null;
  }

  @override
  String datePickerMinute(int minute) {
    return null;
  }

  @override
  String datePickerMinuteSemanticsLabel(int minute) {
    return null;
  }

  @override
  String timerPickerHourLabel(int hour) {
    return null;
  }

  @override
  String timerPickerMinuteLabel(int minute) {
    return null;
  }

  @override
  String timerPickerSecondLabel(int second) {
    return null;
  }

  @override
  String get todayLabel => null;
}

/// The translations for Polish (`pl`).
class CupertinoLocalizationPl extends GlobalCupertinoLocalizations {
  CupertinoLocalizationPl({@required Locale locale}) : super(locale: locale);

  @override
  DatePickerDateOrder get datePickerDateOrder => DatePickerDateOrder.mdy;

  @override
  DatePickerDateTimeOrder get datePickerDateTimeOrder =>
      DatePickerDateTimeOrder.date_time_dayPeriod;

  @override
  String datePickerHourSemanticsLabel(int hour) {
    return null;
  }

  @override
  String datePickerMinute(int minute) {
    return null;
  }

  @override
  String datePickerMinuteSemanticsLabel(int minute) {
    return null;
  }

  @override
  String timerPickerHourLabel(int hour) {
    return null;
  }

  @override
  String timerPickerMinuteLabel(int minute) {
    return null;
  }

  @override
  String timerPickerSecondLabel(int second) {
    return null;
  }

  noSuchMethod(Invocation invocation) => super.noSuchMethod(invocation);
}

/// The translations for Pushto Pashto (`ps`).
class CupertinoLocalizationPs extends GlobalCupertinoLocalizations {
  CupertinoLocalizationPs({@required Locale locale}) : super(locale: locale);

  @override
  DatePickerDateOrder get datePickerDateOrder => DatePickerDateOrder.mdy;

  @override
  DatePickerDateTimeOrder get datePickerDateTimeOrder =>
      DatePickerDateTimeOrder.date_time_dayPeriod;

  @override
  String datePickerHourSemanticsLabel(int hour) {
    return null;
  }

  @override
  String datePickerMinute(int minute) {
    return null;
  }

  @override
  String datePickerMinuteSemanticsLabel(int minute) {
    return null;
  }

  @override
  String timerPickerHourLabel(int hour) {
    return null;
  }

  @override
  String timerPickerMinuteLabel(int minute) {
    return null;
  }

  @override
  String timerPickerSecondLabel(int second) {
    return null;
  }

  @override
  String get todayLabel => null;
}

/// The translations for Portuguese (`pt`).
class CupertinoLocalizationPt extends GlobalCupertinoLocalizations {
  CupertinoLocalizationPt({@required Locale locale}) : super(locale: locale);

  @override
  DatePickerDateOrder get datePickerDateOrder => DatePickerDateOrder.mdy;

  @override
  DatePickerDateTimeOrder get datePickerDateTimeOrder =>
      DatePickerDateTimeOrder.date_time_dayPeriod;

  @override
  String datePickerHourSemanticsLabel(int hour) {
    return null;
  }

  @override
  String datePickerMinute(int minute) {
    return null;
  }

  @override
  String datePickerMinuteSemanticsLabel(int minute) {
    return null;
  }

  @override
  String timerPickerHourLabel(int hour) {
    return null;
  }

  @override
  String timerPickerMinuteLabel(int minute) {
    return null;
  }

  @override
  String timerPickerSecondLabel(int second) {
    return null;
  }

  @override
  String get todayLabel => null;
}

/// The translations for Portuguese, as used in Portugal (`pt_PT`).
class CupertinoLocalizationPtPt extends CupertinoLocalizationPt {
  CupertinoLocalizationPtPt({@required Locale locale}) : super(locale: locale);
}

/// The translations for Romanian Moldavian Moldovan (`ro`).
class CupertinoLocalizationRo extends GlobalCupertinoLocalizations {
  CupertinoLocalizationRo({@required Locale locale}) : super(locale: locale);

  @override
  DatePickerDateOrder get datePickerDateOrder => DatePickerDateOrder.mdy;

  @override
  DatePickerDateTimeOrder get datePickerDateTimeOrder =>
      DatePickerDateTimeOrder.date_time_dayPeriod;

  @override
  String datePickerHourSemanticsLabel(int hour) {
    return null;
  }

  @override
  String datePickerMinute(int minute) {
    return null;
  }

  @override
  String datePickerMinuteSemanticsLabel(int minute) {
    return null;
  }

  @override
  String timerPickerHourLabel(int hour) {
    return null;
  }

  @override
  String timerPickerMinuteLabel(int minute) {
    return null;
  }

  @override
  String timerPickerSecondLabel(int second) {
    return null;
  }

  @override
  String get todayLabel => null;
}

/// The translations for Russian (`ru`).
class CupertinoLocalizationRu extends GlobalCupertinoLocalizations {
  CupertinoLocalizationRu({@required Locale locale}) : super(locale: locale);

  @override
  DatePickerDateOrder get datePickerDateOrder => DatePickerDateOrder.mdy;

  @override
  DatePickerDateTimeOrder get datePickerDateTimeOrder =>
      DatePickerDateTimeOrder.date_time_dayPeriod;

  @override
  String datePickerHourSemanticsLabel(int hour) {
    return null;
  }

  @override
  String datePickerMinute(int minute) {
    return null;
  }

  @override
  String datePickerMinuteSemanticsLabel(int minute) {
    return null;
  }

  @override
  String timerPickerHourLabel(int hour) {
    return null;
  }

  @override
  String timerPickerMinuteLabel(int minute) {
    return null;
  }

  @override
  String timerPickerSecondLabel(int second) {
    return null;
  }

  @override
  String get todayLabel => null;
}

/// The translations for Slovak (`sk`).
class CupertinoLocalizationSk extends GlobalCupertinoLocalizations {
  CupertinoLocalizationSk({@required Locale locale}) : super(locale: locale);

  @override
  DatePickerDateOrder get datePickerDateOrder => DatePickerDateOrder.mdy;

  @override
  DatePickerDateTimeOrder get datePickerDateTimeOrder =>
      DatePickerDateTimeOrder.date_time_dayPeriod;

  @override
  String datePickerHourSemanticsLabel(int hour) {
    return null;
  }

  @override
  String datePickerMinute(int minute) {
    return null;
  }

  @override
  String datePickerMinuteSemanticsLabel(int minute) {
    return null;
  }

  @override
  String timerPickerHourLabel(int hour) {
    return null;
  }

  @override
  String timerPickerMinuteLabel(int minute) {
    return null;
  }

  @override
  String timerPickerSecondLabel(int second) {
    return null;
  }

  @override
  String get todayLabel => null;
}

/// The translations for Slovenian (`sl`).
class CupertinoLocalizationSl extends GlobalCupertinoLocalizations {
  CupertinoLocalizationSl({@required Locale locale}) : super(locale: locale);

  @override
  DatePickerDateOrder get datePickerDateOrder => DatePickerDateOrder.mdy;

  @override
  DatePickerDateTimeOrder get datePickerDateTimeOrder =>
      DatePickerDateTimeOrder.date_time_dayPeriod;

  @override
  String datePickerHourSemanticsLabel(int hour) {
    return null;
  }

  @override
  String datePickerMinute(int minute) {
    return null;
  }

  @override
  String datePickerMinuteSemanticsLabel(int minute) {
    return null;
  }

  @override
  String timerPickerHourLabel(int hour) {
    return null;
  }

  @override
  String timerPickerMinuteLabel(int minute) {
    return null;
  }

  @override
  String timerPickerSecondLabel(int second) {
    return null;
  }

  @override
  String get todayLabel => null;
}

/// The translations for Serbian (`sr`).
class CupertinoLocalizationSr extends GlobalCupertinoLocalizations {
  CupertinoLocalizationSr({@required Locale locale}) : super(locale: locale);

  @override
  DatePickerDateOrder get datePickerDateOrder => DatePickerDateOrder.mdy;

  @override
  DatePickerDateTimeOrder get datePickerDateTimeOrder =>
      DatePickerDateTimeOrder.date_time_dayPeriod;

  @override
  String datePickerHourSemanticsLabel(int hour) {
    return null;
  }

  @override
  String datePickerMinute(int minute) {
    return null;
  }

  @override
  String datePickerMinuteSemanticsLabel(int minute) {
    return null;
  }

  @override
  String timerPickerHourLabel(int hour) {
    return null;
  }

  @override
  String timerPickerMinuteLabel(int minute) {
    return null;
  }

  @override
  String timerPickerSecondLabel(int second) {
    return null;
  }

  @override
  String get todayLabel => null;
}

/// The translations for Serbian, using the Cyrillic script (`sr_Cyrl`).
class CupertinoLocalizationSrCyrl extends CupertinoLocalizationSr {
  CupertinoLocalizationSrCyrl({@required Locale locale})
      : super(locale: locale);
}

/// The translations for Serbian, using the Latin script (`sr_Latn`).
class CupertinoLocalizationSrLatn extends CupertinoLocalizationSr {
  CupertinoLocalizationSrLatn({@required Locale locale})
      : super(locale: locale);
}

/// The translations for Swedish (`sv`).
class CupertinoLocalizationSv extends GlobalCupertinoLocalizations {
  CupertinoLocalizationSv({@required Locale locale}) : super(locale: locale);

  @override
  DatePickerDateOrder get datePickerDateOrder => DatePickerDateOrder.mdy;

  @override
  DatePickerDateTimeOrder get datePickerDateTimeOrder =>
      DatePickerDateTimeOrder.date_time_dayPeriod;

  @override
  String datePickerHourSemanticsLabel(int hour) {
    return null;
  }

  @override
  String datePickerMinute(int minute) {
    return null;
  }

  @override
  String datePickerMinuteSemanticsLabel(int minute) {
    return null;
  }

  @override
  String timerPickerHourLabel(int hour) {
    return null;
  }

  @override
  String timerPickerMinuteLabel(int minute) {
    return null;
  }

  @override
  String timerPickerSecondLabel(int second) {
    return null;
  }

  @override
  String get todayLabel => null;
}

/// The translations for Tamil (`ta`).
class CupertinoLocalizationTa extends GlobalCupertinoLocalizations {
  CupertinoLocalizationTa({@required Locale locale}) : super(locale: locale);

  @override
  DatePickerDateOrder get datePickerDateOrder => DatePickerDateOrder.mdy;

  @override
  DatePickerDateTimeOrder get datePickerDateTimeOrder =>
      DatePickerDateTimeOrder.date_time_dayPeriod;

  @override
  String datePickerHourSemanticsLabel(int hour) {
    return null;
  }

  @override
  String datePickerMinute(int minute) {
    return null;
  }

  @override
  String datePickerMinuteSemanticsLabel(int minute) {
    return null;
  }

  @override
  String timerPickerHourLabel(int hour) {
    return null;
  }

  @override
  String timerPickerMinuteLabel(int minute) {
    return null;
  }

  @override
  String timerPickerSecondLabel(int second) {
    return null;
  }

  @override
  String get todayLabel => null;
}

/// The translations for Thai (`th`).
class CupertinoLocalizationTh extends GlobalCupertinoLocalizations {
  CupertinoLocalizationTh({@required Locale locale}) : super(locale: locale);

  @override
  DatePickerDateOrder get datePickerDateOrder => DatePickerDateOrder.mdy;

  @override
  DatePickerDateTimeOrder get datePickerDateTimeOrder =>
      DatePickerDateTimeOrder.date_time_dayPeriod;

  @override
  String datePickerHourSemanticsLabel(int hour) {
    return null;
  }

  @override
  String datePickerMinute(int minute) {
    return null;
  }

  @override
  String datePickerMinuteSemanticsLabel(int minute) {
    return null;
  }

  @override
  String timerPickerHourLabel(int hour) {
    return null;
  }

  @override
  String timerPickerMinuteLabel(int minute) {
    return null;
  }

  @override
  String timerPickerSecondLabel(int second) {
    return null;
  }

  @override
  String get todayLabel => null;
}

/// The translations for Tagalog (`tl`).
class CupertinoLocalizationTl extends GlobalCupertinoLocalizations {
  CupertinoLocalizationTl({@required Locale locale}) : super(locale: locale);

  @override
  DatePickerDateOrder get datePickerDateOrder => DatePickerDateOrder.mdy;

  @override
  DatePickerDateTimeOrder get datePickerDateTimeOrder =>
      DatePickerDateTimeOrder.date_time_dayPeriod;

  @override
  String datePickerHourSemanticsLabel(int hour) {
    return null;
  }

  @override
  String datePickerMinute(int minute) {
    return null;
  }

  @override
  String datePickerMinuteSemanticsLabel(int minute) {
    return null;
  }

  @override
  String timerPickerHourLabel(int hour) {
    return null;
  }

  @override
  String timerPickerMinuteLabel(int minute) {
    return null;
  }

  @override
  String timerPickerSecondLabel(int second) {
    return null;
  }

  @override
  String get todayLabel => null;
}

/// The translations for Turkish (`tr`).
class CupertinoLocalizationTr extends GlobalCupertinoLocalizations {
  CupertinoLocalizationTr({@required Locale locale}) : super(locale: locale);

  @override
  DatePickerDateOrder get datePickerDateOrder => DatePickerDateOrder.mdy;

  @override
  DatePickerDateTimeOrder get datePickerDateTimeOrder =>
      DatePickerDateTimeOrder.date_time_dayPeriod;

  @override
  String datePickerHourSemanticsLabel(int hour) {
    return null;
  }

  @override
  String datePickerMinute(int minute) {
    return null;
  }

  @override
  String datePickerMinuteSemanticsLabel(int minute) {
    return null;
  }

  @override
  String timerPickerHourLabel(int hour) {
    return null;
  }

  @override
  String timerPickerMinuteLabel(int minute) {
    return null;
  }

  @override
  String timerPickerSecondLabel(int second) {
    return null;
  }

  @override
  String get todayLabel => null;
}

/// The translations for Ukrainian (`uk`).
class CupertinoLocalizationUk extends GlobalCupertinoLocalizations {
  CupertinoLocalizationUk({@required Locale locale}) : super(locale: locale);

  @override
  DatePickerDateOrder get datePickerDateOrder => DatePickerDateOrder.mdy;

  @override
  DatePickerDateTimeOrder get datePickerDateTimeOrder =>
      DatePickerDateTimeOrder.date_time_dayPeriod;

  @override
  String datePickerHourSemanticsLabel(int hour) {
    return null;
  }

  @override
  String datePickerMinute(int minute) {
    return null;
  }

  @override
  String datePickerMinuteSemanticsLabel(int minute) {
    return null;
  }

  @override
  String timerPickerHourLabel(int hour) {
    return null;
  }

  @override
  String timerPickerMinuteLabel(int minute) {
    return null;
  }

  @override
  String timerPickerSecondLabel(int second) {
    return null;
  }

  @override
  String get todayLabel => null;
}

/// The translations for Urdu (`ur`).
class CupertinoLocalizationUr extends GlobalCupertinoLocalizations {
  CupertinoLocalizationUr({@required Locale locale}) : super(locale: locale);

  @override
  DatePickerDateOrder get datePickerDateOrder => DatePickerDateOrder.mdy;

  @override
  DatePickerDateTimeOrder get datePickerDateTimeOrder =>
      DatePickerDateTimeOrder.date_time_dayPeriod;

  @override
  String datePickerHourSemanticsLabel(int hour) {
    return null;
  }

  @override
  String datePickerMinute(int minute) {
    return null;
  }

  @override
  String datePickerMinuteSemanticsLabel(int minute) {
    return null;
  }

  @override
  String timerPickerHourLabel(int hour) {
    return null;
  }

  @override
  String timerPickerMinuteLabel(int minute) {
    return null;
  }

  @override
  String timerPickerSecondLabel(int second) {
    return null;
  }

  @override
  String get todayLabel => null;
}

/// The translations for Vietnamese (`vi`).
class CupertinoLocalizationVi extends GlobalCupertinoLocalizations {
  CupertinoLocalizationVi({@required Locale locale}) : super(locale: locale);

  @override
  DatePickerDateOrder get datePickerDateOrder => DatePickerDateOrder.mdy;

  @override
  DatePickerDateTimeOrder get datePickerDateTimeOrder =>
      DatePickerDateTimeOrder.date_time_dayPeriod;

  @override
  String datePickerHourSemanticsLabel(int hour) {
    return null;
  }

  @override
  String datePickerMinute(int minute) {
    return null;
  }

  @override
  String datePickerMinuteSemanticsLabel(int minute) {
    return null;
  }

  @override
  String timerPickerHourLabel(int hour) {
    return null;
  }

  @override
  String timerPickerMinuteLabel(int minute) {
    return null;
  }

  @override
  String timerPickerSecondLabel(int second) {
    return null;
  }

  @override
  String get todayLabel => null;
}

/// The translations for Chinese (`zh`).
class CupertinoLocalizationZh extends GlobalCupertinoLocalizations {
  CupertinoLocalizationZh({@required Locale locale}) : super(locale: locale);

  @override
  DatePickerDateOrder get datePickerDateOrder => DatePickerDateOrder.ymd;

  @override
  DatePickerDateTimeOrder get datePickerDateTimeOrder =>
      DatePickerDateTimeOrder.date_time_dayPeriod;

  @override
  String datePickerYear(int yearIndex) {
    return "$yearIndex年";
  }

  @override
  String datePickerMonth(int monthIndex) {
    return "$monthIndex月";
  }

  @override
  String datePickerDayOfMonth(int dayIndex) {
    return "$dayIndex日";
  }

  @override
  String datePickerHourSemanticsLabel(int hour) {
    return "$hour时";
  }

  @override
  String datePickerMinuteSemanticsLabel(int minute) {
    return "$minute分";
  }

  @override
  String timerPickerHourLabel(int hour) {
    return timerPickerHour(hour) + "时";
  }

  @override
  String timerPickerMinuteLabel(int minute) {
    return timerPickerMinute(minute) + "分";
  }

  @override
  String timerPickerSecondLabel(int second) {
    return timerPickerSecond(second) + "秒";
  }

  @override
  String get todayLabel => null;
}

/// The translations for Chinese, using the Han script (`zh_Hans`).
class CupertinoLocalizationZhHans extends CupertinoLocalizationZh {
  CupertinoLocalizationZhHans({@required Locale locale})
      : super(locale: locale);
}

/// The translations for Chinese, using the Han script (`zh_Hant`).
class CupertinoLocalizationZhHant extends CupertinoLocalizationZh {
  CupertinoLocalizationZhHant({@required Locale locale})
      : super(locale: locale);
}

/// The translations for Chinese, as used in Hong Kong, using the Han script (`zh_Hant_HK`).
class CupertinoLocalizationZhHantHk extends CupertinoLocalizationZhHant {
  CupertinoLocalizationZhHantHk({@required Locale locale})
      : super(locale: locale);

  @override
  String datePickerHourSemanticsLabel(int hour) {
    return "$hour時";
  }

  @override
  String datePickerMinuteSemanticsLabel(int minute) {
    return "$minute分";
  }

  @override
  String timerPickerHourLabel(int hour) {
    return timerPickerHour(hour) + "時";
  }

  @override
  String timerPickerMinuteLabel(int minute) {
    return timerPickerMinute(minute) + "分";
  }

  @override
  String timerPickerSecondLabel(int second) {
    return timerPickerSecond(second) + "秒";
  }
}

/// The translations for Chinese, as used in Taiwan, using the Han script (`zh_Hant_TW`).
class CupertinoLocalizationZhHantTw extends CupertinoLocalizationZhHant {
  CupertinoLocalizationZhHantTw({@required Locale locale})
      : super(locale: locale);

  @override
  String datePickerHourSemanticsLabel(int hour) {
    return "$hour時";
  }

  @override
  String datePickerMinuteSemanticsLabel(int minute) {
    return "$minute分";
  }

  @override
  String timerPickerHourLabel(int hour) {
    return timerPickerHour(hour) + "時";
  }

  @override
  String timerPickerMinuteLabel(int minute) {
    return timerPickerMinute(minute) + "分";
  }

  @override
  String timerPickerSecondLabel(int second) {
    return timerPickerSecond(second) + "秒";
  }
}

/// Creates a [GlobalCupertinoLocalizations] instance for the given `locale`.
///
/// All of the function's arguments except `locale` will be passed to the [new
/// GlobalCupertinoLocalizations] constructor. (The `localeName` argument of that
/// constructor is specified by the actual subclass constructor by this
/// function.)
///
/// The following locales are supported by this package:
///
/// {@template flutter.localizations.languages}
///  * `ar` - Arabic
///  * `bg` - Bulgarian
///  * `bs` - Bosnian
///  * `ca` - Catalan Valencian
///  * `cs` - Czech
///  * `da` - Danish
///  * `de` - German (plus one country variation)
///  * `el` - Modern Greek
///  * `en` - English (plus 7 country variations)
///  * `es` - Spanish Castilian (plus 20 country variations)
///  * `et` - Estonian
///  * `fa` - Persian
///  * `fi` - Finnish
///  * `fil` - Filipino Pilipino
///  * `fr` - French (plus one country variation)
///  * `gsw` - Swiss German Alemannic Alsatian
///  * `he` - Hebrew
///  * `hi` - Hindi
///  * `hr` - Croatian
///  * `hu` - Hungarian
///  * `id` - Indonesian
///  * `it` - Italian
///  * `ja` - Japanese
///  * `km` - Khmer Central Khmer
///  * `ko` - Korean
///  * `lt` - Lithuanian
///  * `lv` - Latvian
///  * `mn` - Mongolian
///  * `mr` - Marathi
///  * `ms` - Malay
///  * `nb` - Norwegian Bokmål
///  * `nl` - Dutch Flemish
///  * `pl` - Polish
///  * `ps` - Pushto Pashto
///  * `pt` - Portuguese (plus one country variation)
///  * `ro` - Romanian Moldavian Moldovan
///  * `ru` - Russian
///  * `sk` - Slovak
///  * `sl` - Slovenian
///  * `sr` - Serbian (plus 2 scripts)
///  * `sv` - Swedish
///  * `ta` - Tamil
///  * `th` - Thai
///  * `tl` - Tagalog
///  * `tr` - Turkish
///  * `uk` - Ukrainian
///  * `ur` - Urdu
///  * `vi` - Vietnamese
///  * `zh` - Chinese (plus 2 country variations and 2 scripts)
/// {@endtemplate}
///
/// Generally speaking, this method is only intended to be used by
/// [GlobalCupertinoLocalizations.delegate].
GlobalCupertinoLocalizations getCupertinoTranslation(
  Locale locale,
) {
  switch (locale.languageCode) {
    case 'ar':
      return CupertinoLocalizationAr(locale: locale);
    case 'bg':
      return CupertinoLocalizationBg(locale: locale);
    case 'bs':
      return CupertinoLocalizationBs(locale: locale);
    case 'ca':
      return CupertinoLocalizationCa(locale: locale);
    case 'cs':
      return CupertinoLocalizationCs(locale: locale);
    case 'da':
      return CupertinoLocalizationDa(locale: locale);
    case 'de':
      {
        switch (locale.countryCode) {
          case 'CH':
            return CupertinoLocalizationDeCh(locale: locale);
        }
        return CupertinoLocalizationDe(locale: locale);
      }
    case 'el':
      return CupertinoLocalizationEl(locale: locale);
    case 'en':
      {
        switch (locale.countryCode) {
          case 'AU':
            return CupertinoLocalizationEnAu(locale: locale);
          case 'CA':
            return CupertinoLocalizationEnCa(locale: locale);
          case 'GB':
            return CupertinoLocalizationEnGb(locale: locale);
          case 'IE':
            return CupertinoLocalizationEnIe(locale: locale);
          case 'IN':
            return CupertinoLocalizationEnIn(locale: locale);
          case 'SG':
            return CupertinoLocalizationEnSg(locale: locale);
          case 'ZA':
            return CupertinoLocalizationEnZa(locale: locale);
        }
        return CupertinoLocalizationEn(locale: locale);
      }
    case 'es':
      {
        switch (locale.countryCode) {
          case '419':
            return CupertinoLocalizationEs419(locale: locale);
          case 'AR':
            return CupertinoLocalizationEsAr(locale: locale);
          case 'BO':
            return CupertinoLocalizationEsBo(locale: locale);
          case 'CL':
            return CupertinoLocalizationEsCl(locale: locale);
          case 'CO':
            return CupertinoLocalizationEsCo(locale: locale);
          case 'CR':
            return CupertinoLocalizationEsCr(locale: locale);
          case 'DO':
            return CupertinoLocalizationEsDo(locale: locale);
          case 'EC':
            return CupertinoLocalizationEsEc(locale: locale);
          case 'GT':
            return CupertinoLocalizationEsGt(locale: locale);
          case 'HN':
            return CupertinoLocalizationEsHn(locale: locale);
          case 'MX':
            return CupertinoLocalizationEsMx(locale: locale);
          case 'NI':
            return CupertinoLocalizationEsNi(locale: locale);
          case 'PA':
            return CupertinoLocalizationEsPa(locale: locale);
          case 'PE':
            return CupertinoLocalizationEsPe(locale: locale);
          case 'PR':
            return CupertinoLocalizationEsPr(locale: locale);
          case 'PY':
            return CupertinoLocalizationEsPy(locale: locale);
          case 'SV':
            return CupertinoLocalizationEsSv(locale: locale);
          case 'US':
            return CupertinoLocalizationEsUs(locale: locale);
          case 'UY':
            return CupertinoLocalizationEsUy(locale: locale);
          case 'VE':
            return CupertinoLocalizationEsVe(locale: locale);
        }
        return CupertinoLocalizationEs(locale: locale);
      }
    case 'et':
      return CupertinoLocalizationEt(locale: locale);
    case 'fa':
      return CupertinoLocalizationFa(locale: locale);
    case 'fi':
      return CupertinoLocalizationFi(locale: locale);
    case 'fil':
      return CupertinoLocalizationFil(locale: locale);
    case 'fr':
      {
        switch (locale.countryCode) {
          case 'CA':
            return CupertinoLocalizationFrCa(locale: locale);
        }
        return CupertinoLocalizationFr(locale: locale);
      }
    case 'gsw':
      return CupertinoLocalizationGsw(locale: locale);
    case 'he':
      return CupertinoLocalizationHe(locale: locale);
    case 'hi':
      return CupertinoLocalizationHi(locale: locale);
    case 'hr':
      return CupertinoLocalizationHr(locale: locale);
    case 'hu':
      return CupertinoLocalizationHu(locale: locale);
    case 'id':
      return CupertinoLocalizationId(locale: locale);
    case 'it':
      return CupertinoLocalizationIt(locale: locale);
    case 'ja':
      return CupertinoLocalizationJa(locale: locale);
    case 'km':
      return CupertinoLocalizationKm(locale: locale);
    case 'ko':
      return CupertinoLocalizationKo(locale: locale);
    case 'lt':
      return CupertinoLocalizationLt(locale: locale);
    case 'lv':
      return CupertinoLocalizationLv(locale: locale);
    case 'mn':
      return CupertinoLocalizationMn(locale: locale);
    case 'mr':
      return CupertinoLocalizationMr(locale: locale);
    case 'ms':
      return CupertinoLocalizationMs(locale: locale);
    case 'nb':
      return CupertinoLocalizationNb(locale: locale);
    case 'nl':
      return CupertinoLocalizationNl(locale: locale);
    case 'pl':
      return CupertinoLocalizationPl(locale: locale);
    case 'ps':
      return CupertinoLocalizationPs(locale: locale);
    case 'pt':
      {
        switch (locale.countryCode) {
          case 'PT':
            return CupertinoLocalizationPtPt(locale: locale);
        }
        return CupertinoLocalizationPt(locale: locale);
      }
    case 'ro':
      return CupertinoLocalizationRo(locale: locale);
    case 'ru':
      return CupertinoLocalizationRu(locale: locale);
    case 'sk':
      return CupertinoLocalizationSk(locale: locale);
    case 'sl':
      return CupertinoLocalizationSl(locale: locale);
    case 'sr':
      {
        switch (locale.scriptCode) {
          case 'Cyrl':
            {
              return CupertinoLocalizationSrCyrl(locale: locale);
            }
          case 'Latn':
            {
              return CupertinoLocalizationSrLatn(locale: locale);
            }
        }
        return CupertinoLocalizationSr(locale: locale);
      }
    case 'sv':
      return CupertinoLocalizationSv(locale: locale);
    case 'ta':
      return CupertinoLocalizationTa(locale: locale);
    case 'th':
      return CupertinoLocalizationTh(locale: locale);
    case 'tl':
      return CupertinoLocalizationTl(locale: locale);
    case 'tr':
      return CupertinoLocalizationTr(locale: locale);
    case 'uk':
      return CupertinoLocalizationUk(locale: locale);
    case 'ur':
      return CupertinoLocalizationUr(locale: locale);
    case 'vi':
      return CupertinoLocalizationVi(locale: locale);
    case 'zh':
      {
        switch (locale.scriptCode) {
          case 'Hans':
            {
              return CupertinoLocalizationZhHans(locale: locale);
            }
          case 'Hant':
            {
              switch (locale.countryCode) {
                case 'HK':
                  return CupertinoLocalizationZhHantHk(locale: locale);
                case 'TW':
                  return CupertinoLocalizationZhHantTw(locale: locale);
              }
              return CupertinoLocalizationZhHant(locale: locale);
            }
        }
        switch (locale.countryCode) {
          case 'HK':
            return CupertinoLocalizationZhHantHk(locale: locale);
          case 'TW':
            return CupertinoLocalizationZhHantTw(locale: locale);
        }
        return CupertinoLocalizationZh(locale: locale);
      }
  }
  assert(false, 'getTranslation() called for unsupported locale "$locale"');
  return null;
}
